7a8,11
> #ifdef WITH_TABS
> #define MAX_TAB_TITLE 30 /* 0 means full title */
> #endif
> 
27a32,49
> #ifdef WITH_TABS
> enum tabs_direction
> {
>     dir_next,
>     dir_previous,
>     dir_first,
>     dir_last,
>     dir_absolute 
> };
> 
> enum tabs_scroll_flags
> {
>     NO_SCROLL = 0, 
>     SCROLL_LEFT = 1, 
>     SCROLL_RIGHT = 2, 
>     SCROLL_BOTH = 3
> };
> #endif
59c81,103
< 
---
> #ifdef WITH_TABS
> typedef struct TabDisplayInfo
> {
>     GList *start_tab;
>     GList *end_tab; 
>     int start_idx, end_idx; 
>     enum tabs_scroll_flags scroll; 
> } TabDisplayInfo; 
> 
> typedef struct Tab
> {
>     char *name;
>     vfs_path_t *path;
> } Tab;
> 
> typedef struct RestoredTabs
> {
>     GList *tabs;
>     GList *tab_current;
>     int idx;
>     int error;
> } RestoredTabs;
> #endif
101a146,148
> #ifdef WITH_TABS
>     GList *tabs, *tabs_current;  /* pointer to the list of tabs*/
> #endif
152a200,232
> #ifdef WITH_TABS
> /*Tabs functions */
> void draw_tabs(WPanel *panel);
> void hide_tabs(void); 
> void create_tab(WPanel *p, enum tabs_direction d);
> void change_tab(WPanel *p, enum tabs_direction d, GList *tab/*used only for absolute direction*/);
> void destroy_tab(Tab *t); 
> void destroy_tabs(WPanel *p);
> char *get_tab_title(WPanel *p, Tab *t, unsigned int max);
> void save_tabs_session(char *title); 
> void restore_tabs_session(char *title);
> void save_tabs_session_custom();
> void restore_tabs_session_custom();
> 
> void new_tab(void);
> void close_tab(void);
> void rename_tab(void);
> void next_tab(void);
> void prev_tab(void);
> int get_tab_index(WPanel *p, GList *t);
> GList *get_tab_by_index(WPanel *p, int idx);
> RestoredTabs _restore_tabs(FILE *f);
> void abort_restore(RestoredTabs restored);
> void save_tabs_session_custom(void); 
> void restore_tabs_session_custom(void); 
> void _write_tabs(FILE *f, WPanel *p); 
> void read_line(char *line, int max, FILE *f);
> void goto_tab(void);
> void cut_title(char *title, int max); 
> TabDisplayInfo *display_info(WPanel *p, Widget *w); 
> int draw_tab(char *title, int selected, enum tabs_scroll_flags scroll); 
> /*End tabs functions*/
> #endif
